OpenShot Audio Library | OpenShotAudio: juce::dsp::Chorus< SampleType > Class Template Reference

OpenShot Audio Library | OpenShotAudio 0.4.0 |

Loading...
Searching...
No Matches
Public Member Functions | List of all members
juce::dsp::Chorus< SampleType > Class Template Reference

`#include <juce_Chorus.h>`

## Public Member Functions
| Chorus ()
void | setRate (SampleType newRateHz)
void | setDepth (SampleType newDepth)
void | setCentreDelay (SampleType newDelayMs)
void | setFeedback (SampleType newFeedback)
void | setMix (SampleType newMix)
void | prepare (const ProcessSpec &spec)
void | reset ()
template<typename ProcessContext>
void | process (const ProcessContext &context) noexcept

## Detailed Description

template<typename SampleType>
class juce::dsp::Chorus< SampleType >

A simple chorus DSP widget that modulates the delay of a delay line in order to create sweeping notches in the magnitude frequency response.

This audio effect can be controlled via the speed and depth of the LFO controlling the frequency response, a mix control, a feedback control, and the centre delay of the modulation.

Note: To get classic chorus sounds try to use a centre delay time around 7-8 ms with a low feedback volume and a low depth. This effect can also be used as a flanger with a lower centre delay time and a lot of feedback, and as a vibrato effect if the mix value is 1.

Definition at line 45 of file juce_Chorus.h.

## Constructor & Destructor Documentation

## ◆ Chorus()

template<typename SampleType>

juce::dsp::Chorus< SampleType >::Chorus | ( |  | ) |

Constructor.

Definition at line 31 of file juce_Chorus.cpp.

## Member Function Documentation

## ◆ prepare()

template<typename SampleType>

void juce::dsp::Chorus< SampleType >::prepare | ( | const ProcessSpec & | spec | ) |

Initialises the processor.

Definition at line 85 of file juce_Chorus.cpp.

## ◆ process()

template<typename SampleType>
template<typename ProcessContext>

void juce::dsp::Chorus< SampleType >::process | ( | const ProcessContext & | context | ) |
| inlinenoexcept

Processes the input and output samples supplied in the processing context.

Definition at line 87 of file juce_Chorus.h.

## ◆ reset()

template<typename SampleType>

void juce::dsp::Chorus< SampleType >::reset | ( |  | ) |

Resets the internal state variables of the processor.

Definition at line 109 of file juce_Chorus.cpp.

Referenced by prepare().

## ◆ setCentreDelay()

template<typename SampleType>

void juce::dsp::Chorus< SampleType >::setCentreDelay | ( | SampleType | newDelayMs | ) |

Sets the centre delay in milliseconds of the chorus delay line modulation. This delay must be between 1 and 100 ms.

Definition at line 58 of file juce_Chorus.cpp.

## ◆ setDepth()

template<typename SampleType>

void juce::dsp::Chorus< SampleType >::setDepth | ( | SampleType | newDepth | ) |

Sets the volume of the LFO modulating the chorus delay line (between 0 and 1).

Definition at line 49 of file juce_Chorus.cpp.

## ◆ setFeedback()

template<typename SampleType>

void juce::dsp::Chorus< SampleType >::setFeedback | ( | SampleType | newFeedback | ) |

Sets the feedback volume (between -1 and 1) of the chorus delay line. Negative values can be used to get specific chorus sounds.

Definition at line 66 of file juce_Chorus.cpp.

## ◆ setMix()

template<typename SampleType>

void juce::dsp::Chorus< SampleType >::setMix | ( | SampleType | newMix | ) |

Sets the amount of dry and wet signal in the output of the chorus (between 0 for full dry and 1 for full wet).

Definition at line 75 of file juce_Chorus.cpp.

## ◆ setRate()

template<typename SampleType>

void juce::dsp::Chorus< SampleType >::setRate | ( | SampleType | newRateHz | ) |

Sets the rate (in Hz) of the LFO modulating the chorus delay line. This rate must be lower than 100 Hz.

Definition at line 40 of file juce_Chorus.cpp.

The documentation for this class was generated from the following files:

- juce_Chorus.h
- juce_Chorus.cpp